QGIS Application - Bug report #13733
DBManager Export to file: missing extension for output causing error
2015-11-02 03:29 AM - Mehmet Selim BILGIN

Status: Closed

Priority: Severe/Regression

Assignee: Giuseppe Sucameli

Category: DB Manager

Affected QGIS version:2.12.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 21760
Description

New description:

Since QGIS 2.12 DB Manager allow to export data in format other than shapes. When choosing the output the filed is filled but the
extension is missing, this causes an error "Error 8: Loading of layer failed". Adding manually the extension fixes the problem.

Old description:

In QGIS 2.12 DBManager when trying to export a database table to a gis file (SHP, TAB etc..) this bug occurs. After selecting a table and
than clicking Export to file button under Table menu it gives* Error 8: Loading of layer failed* . | tried with different db's like Oracle,
Spatialite but there is no difference.

Associated revisions

Revision e20cfc04 - 2016-01-15 04:41 PM - Alexander Bruy

[DBmanager] add extension to file when exporting (fix #13733)

History

#1 - 2015-11-06 01:32 AM - Giovanni Manghi

- Target version changed from Version 2.12 to Future Release - High Priority

- Priority changed from Normal to Severe/Regression

- Assignee set to Giuseppe Sucameli

- Subject changed from 2.12 QGIS DBManager Export to file error to DBManager Export to file: missing extension for output causing error
#2 - 2015-11-13 04:36 AM - Giovanni Manghi

see also #13822

#3 - 2016-01-15 07:42 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"e20cfc043c5022b0765523da2f62b4909fa2674a".

#4 - 2016-01-15 07:44 AM - Alexander Bruy
- Resolution set to fixed/implemented
